com.io7m.jcanephora.core

## Enum JCGLTextureWrapT

- java.lang.Object
- - java.lang.Enum<JCGLTextureWrapT>
  - - com.io7m.jcanephora.core.JCGLTextureWrapT

- All Implemented Interfaces:
    Serializable, Comparable<JCGLTextureWrapT>

      public enum JCGLTextureWrapT
      extends Enum<JCGLTextureWrapT>

  Texture wrapping mode on the T axis.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TEXTURE_WRAP_CLAMP_TO_EDGE` Clamp texture coordinates to the edge of the image.
    `TEXTURE_WRAP_REPEAT` Wrap texture coordinates around.
    `TEXTURE_WRAP_REPEAT_MIRRORED` Mirror texture coordinates.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLTextureWrapT` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JCGLTextureWrapT[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TEXTURE_WRAP_CLAMP_TO_EDGE

          public static final JCGLTextureWrapT TEXTURE_WRAP_CLAMP_TO_EDGE

      Clamp texture coordinates to the edge of the image.

    - #### TEXTURE_WRAP_REPEAT

          public static final JCGLTextureWrapT TEXTURE_WRAP_REPEAT

      Wrap texture coordinates around.

    - #### TEXTURE_WRAP_REPEAT_MIRRORED

          public static final JCGLTextureWrapT TEXTURE_WRAP_REPEAT_MIRRORED

      Mirror texture coordinates.

  - ### Method Detail

    - #### values

          public static JCGLTextureWrapT[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JCGLTextureWrapT c : JCGLTextureWrapT.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JCGLTextureWrapT valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017 <code@io7m.com> http://io7m.com